import java.util.*;

class ArrayHashComparison
{
	public static void main(String[] args){
		ArrayList<Integer> array = new ArrayList<Integer>();
		for (int i =0; i < 100000; i ++){
			array.add(i);
		}
		HashSet<Integer> set = new HashSet<Integer>();
		for (int i =0; i < 100000; i ++){
			set.add(i);
		}	
		ArrayList<Integer> randomNumbers = new ArrayList<Integer>();
		Random rand = new Random();
		for (int i = 0; i < 100000; i ++){
			randomNumbers.add(rand.nextInt(200000));
		}
		
		long startTime = System.currentTimeMillis();
		for (Integer x:randomNumbers){
			boolean b = array.contains(x);
		}
		long endTime = System.currentTimeMillis();
		long duration = (endTime - startTime);
		System.out.println("Array took "+ duration + " millisecs");
		
		startTime = System.currentTimeMillis();
		for (Integer x:randomNumbers){
			boolean b = set.contains(x);
		}
		endTime = System.currentTimeMillis();
		duration = (endTime - startTime);
		System.out.println("Set took "+duration + " millisecs");
		
	}
}